CREATE TABLE InfResp_customfields (
   user_attached bigint(32) NOT NULL,
   resp_attached bigint(32) NOT NULL,
   email_attached varchar(255) NOT NULL default '',
   streetaddress_1 varchar(255) NOT NULL default '',
   streetaddress_2 varchar(255) NOT NULL default '',
   city varchar(255) NOT NULL default '',
   state varchar(99) NOT NULL default '',
   zipcode varchar(99) NOT NULL default '',
   homephone varchar(99) NOT NULL default '',
   best_contact_time varchar(255) NOT NULL default '',
   other_offers tinyint(1) NOT NULL default '0',
   full_name varchar(255) NOT NULL default '',
   reason varchar(99) NOT NULL default '',
   income varchar(99) NOT NULL default '',
   interest varchar (99) NOT NULL default '',
   hours varchar (99) NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE InfResp_messages (
   MsgID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   Subject varchar(255) NOT NULL default '',
   SecMinHoursDays bigint(32) NOT NULL default '0',
   Months int NOT NULL default '0',
   BodyText text NOT NULL default '',
   BodyHTML text NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE InfResp_responders (
   ResponderID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   Enabled tinyint(1) NOT NULL default '1',
   Name varchar(255) NOT NULL default '',
   ResponderDesc text NOT NULL default '',
   OwnerEmail varchar(100) NOT NULL default '',
   OwnerName varchar(255) NOT NULL default '',
   ReplyToEmail varchar(100) NOT NULL default '',
   MsgList text NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE InfResp_subscribers (
   SubscriberID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   ResponderID bigint(32) NOT NULL,
   SentMsgs text default '',
   EmailAddress varchar(100) NOT NULL default '',
   TimeJoined bigint(32) NOT NULL default '0',
   Real_TimeJoined bigint(32) NOT NULL default '0',
   CanReceiveHTML tinyint(1) NOT NULL default '0',
   LastActivity bigint(32) NOT NULL default '0',
   FirstName text NOT NULL default '',
   LastName text NOT NULL default '',
   IP_Addy text NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE InfResp_confirmations (
   Confirm_ID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   Confirm_ResponderID bigint(32) NOT NULL,
   Confirm_EmailAddy varchar(100) NOT NULL default '',
   Confirm_String text NOT NULL default '',
   Confirm_Type text NOT NULL default '',
   Confirm_Expiration bigint(32) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE InfResp_config (
   Responder_Directory text NOT NULL default '',
   Max_Send_Count bigint(32) NOT NULL,
   Last_Activity_Trim bigint(10) NOT NULL,
   pass_random_1 text NOT NULL default '',
   pass_random_2 text NOT NULL default '',
   confirmation_expiration bigint(32) NOT NULL,
   black_list text NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE InfResp_POP3 (
   POP_ConfigID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   ThisPOP_Enabled tinyint(1) NOT NULL default '0',
   Confirm_Join tinyint(1) NOT NULL default '0',
   Attached_Responder bigint(32) NOT NULL default '0',
   host text NOT NULL default '',
   port bigint(16) NOT NULL default '110',
   username text NOT NULL default '',
   password text NOT NULL default '',
   mailbox text NOT NULL default '',
   HTML_YN tinyint(1) NOT NULL default '0',
   Delete_After_Download tinyint(1) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE InfResp_Flatmail (
   Mail_ID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   Attached_Responder bigint(32) NOT NULL default '0',
   Closed tinyint(1) NOT NULL default '0',
   Subject varchar(255) NOT NULL default '',
   TEXT_msg text NOT NULL default '',
   HTML_msg text NOT NULL default '',
   Time_Sent text NOT NULL default '',
   Emails_SentTo text NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE InfResp_Logs (
   Log_ID bigint(32) NOT NULL auto_increment PRIMARY KEY,
   TimeStamp bigint(32) NOT NULL default '0',
   Activity varchar(255) NOT NULL default '',
   Activity_Parameter text NOT NULL default '',
   ID_Parameter text NOT NULL default '',
   Extra_Parameter text NOT NULL default ''
) TYPE=MyISAM;